from django.apps import AppConfig


class IdentityProviderAppConfig(AppConfig):
    name = 'identityprovider'
    verbose_name = 'Identity Provider'

    def ready(self):
        # Import here to ensure settings are already available.
        from identityprovider.utils import populate_password_blacklist
        populate_password_blacklist()
